
CoCoA-5 - Feature #216

Janet Bases: port function into CoCoA-5

02 Aug 2012 16:13 - Anna Maria Bigatti

Status: In Progress Start date: 02 Aug 2012

Priority: Normal Due date:  

Assignee:  % Done: 20%

Category: CoCoA-5 function: new Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 1.00 hour

Description

... after the integration into CoCoALib ;-)

Related issues:

Related to CoCoALib - Feature #215: Janet Bases: check and include code in Co... Closed 02 Aug 2012

Related to CoCoALib - Feature #383: Resolution/morse: integrate Mario Albert'... In Progress 27 Jun 2013

Related to CoCoALib - Design #455: Which sets of generators in an ideal? New 03 Mar 2014

Related to CoCoALib - Feature #665: Integrate Janet/Pommaret basis code In Progress 11 Feb 2015

History

#1 - 05 Apr 2013 11:54 - Anna Maria Bigatti

- Assignee set to Mario Albert

- Target version set to CoCoA-5.0.9

- % Done changed from 0 to 20

First demo in CoCoA-5 ;-)

/**/ Use R;  JanetBasis(ideal(x, x+y));

[y, x]

The function is implemented in BuiltInOneLiners.C, but I also made a

implementation (commented out) in BuiltInFunctions.C.    

Next step is (for me) to add the JBMill field to the class ideal, so

that the computed JBMill is stored for further use.

#2 - 25 Mar 2014 17:40 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14

#3 - 09 Apr 2014 15:55 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#4 - 02 Sep 2014 11:14 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?
#5 - 02 Mar 2020 22:01 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.4.0

#6 - 05 Nov 2021 16:12 - John Abbott

- Assignee deleted (Mario Albert)

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
